# frozen_string_literal: true

require 'rack-flash'
require 'sinatra/base'
require 'sinatra/reloader' if ENV['RACK_ENV'] == 'development'
require 'sinatra_warden'
require_relative 'login'
require_relative 'site'
require_relative '../sutty'

module Sutty
  # Sutty
  class App < Sinatra::Base
    use Rack::Flash
    use Sutty::Login
    use Sutty::Site
    register Sinatra::Warden

    configure :development do
      register Sinatra::Reloader
    end

    set :root, Sutty.root

    before do
      authorize! '/login' if ENV['RACK_ENV'] == 'production'
    end

    get '/' do
      haml :index
    end
  end
end
